com.google.gwt.event.logical.shared

## Interface HasCloseHandlers<T>

Type Parameters:
  `T` - the type being closed

All Superinterfaces:
  HasHandlers

All Known Implementing Classes:
  AbstractCellTree, CellBrowser, CellTree, DecoratedPopupPanel, DialogBox, DisclosurePanel, LoggingPopup, MenuBar, PopupPanel, Tree

    public interface HasCloseHandlers<T>
    extends HasHandlers

A widget that implements this interface is a public source of `CloseEvent` events.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addCloseHandler(CloseHandler<T> handler)` Adds a `CloseEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addCloseHandler

    HandlerRegistration addCloseHandler(CloseHandler<T> handler)

Adds a `CloseEvent` handler.

Parameters:
  `handler` - the handler
Returns:
  the registration for the event